Server
/api/v1.0/
https://id-qa.adara.com/api/v1.0/
https://id-prod.adara.com/api/v1.0/
Server Variables
oauth2 oauth2
FlowClient Credentials
Token URL/core/v1.0/oauth/token

Translate ids in a file

Generate a mapping file of Input to output IDs

Auth
Required Scopes:post:batch
Request Body
objectobject
input4 fieldsobject
outputobject
id_typestring
hash_typestring
filterobject
max_centralityinteger

Maximum number of edges to be considered a valid vertex

maximum: 100

minimum: 1

Default: 20

max_stepsinteger

Maximum number of edges to traverse from origin id

maximum: 10

minimum: 1

Default: 2

POST /batch
curl --request POST \
--url '/api/v1.0//batch' \
--header 'Authorization: Bearer {token}' \
--data '{
"input": {
"bucket": "dot-sandbox-test",
"files": [
"endpointowner_id/client_id/emails_dec_2018.csv",
"endpointowner_id/client_id/emails_jan_2019.csv"
],
"id_type": "email",
"hash_type": "sha256"
},
"output": {
"id_type": "email",
"hash_type": "sha256"
},
"filter": {
"max_centrality": 20,
"max_steps": 2
}
}'
Copy
Responses
200

Successfully Created a batch translation job

objectobject
activeboolean

feature flag indicating that the feature endpoint is interactive

responseobject
createdinteger

unix timestamp of file upload time in seconds

job_idstring

unique id for the request

Response
{
"active": "{boolean}",
"response": {
"created": "{integer}",
"job_id": "{string}"
}
}
Copy

Translate an ID

Auth
Required Scopes:post:translation
Request Body
objectobject
input3 fieldsobject
outputobject
id_typestring
hash_typestring
filterobject
max_centralityinteger

Maximum number of edges to be considered a valid vertex

maximum: 100

minimum: 1

Default: 20

max_stepsinteger

Maximum number of edges to traverse from origin id

maximum: 10

minimum: 1

Default: 2

POST /translation
curl --request POST \
--url '/api/v1.0//translation' \
--header 'Authorization: Bearer {token}' \
--data '{
"input": {
"id": "8cd869636bd9448ef3eef342da47157a8f4fc630e5c227d67906efcc0fd3f163",
"id_type": "email",
"hash_type": "sha256"
},
"output": {
"id_type": "email",
"hash_type": "sha256"
},
"filter": {
"max_centrality": 20,
"max_steps": 2
}
}'
Copy
Responses
200

Successfully returned list of intel scores

objectobject
activeboolean

feature flag indicating that the feature endpoint is interactive

responsearray[string]
Response
{
"active": "{boolean}",
"response": [
"342432119"
]
}
Copy